com.google.gwt.core.ext.linker

## Enum LinkerOrder.Order

- java.lang.Object
- - java.lang.Enum<LinkerOrder.Order>
  - - com.google.gwt.core.ext.linker.LinkerOrder.Order

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LinkerOrder.Order>
  Enclosing class:
    LinkerOrder

      public static enum LinkerOrder.Order
      extends java.lang.Enum<LinkerOrder.Order>

  Allowable values for the LinkerOrder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POST` Runs after the primary linker.
    `PRE` Runs before the primary linker.
    `PRIMARY` Defines the primary linker.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinkerOrder.Order` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LinkerOrder.Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POST

          public static final LinkerOrder.Order POST

      Runs after the primary linker.

    - #### PRE

          public static final LinkerOrder.Order PRE

      Runs before the primary linker.

    - #### PRIMARY

          public static final LinkerOrder.Order PRIMARY

      Defines the primary linker. Adding a primary linker to the Linker stack will override the previously-set primary linker.

  - ### Method Detail

    - #### values

          public static LinkerOrder.Order[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinkerOrder.Order c : LinkerOrder.Order.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LinkerOrder.Order valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null